# Uses of Enum Class
org.bukkit.ChatColor

Packages that use ChatColor
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.advancement
Classes relevant to advancements.
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of ChatColor in org.bukkit

Methods in org.bukkit that return ChatColor
Modifier and Type
Method
Description
`static @Nullable ChatColor`
ChatColor.`getByChar(char code)`
Gets the color represented by the specified color code
`static @Nullable ChatColor`
ChatColor.`getByChar(@NotNull String code)`
Gets the color represented by the specified color code
`static ChatColor`
ChatColor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChatColor[]`
ChatColor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ChatColor in org.bukkit.advancement

Methods in org.bukkit.advancement that return ChatColor
Modifier and Type
Method
Description
`@NotNull ChatColor`
AdvancementDisplayType.`getColor()`
Deprecated, for removal: This API element is subject to removal in a future version.
The chat color used by Minecraft for this advancement.

## Uses of ChatColor in org.bukkit.conversations

Fields in org.bukkit.conversations declared as ChatColor
Modifier and Type
Field
Description
`protected ChatColor`
PluginNameConversationPrefix.`prefixColor`
Constructors in org.bukkit.conversations with parameters of type ChatColor
Modifier
Constructor
Description
``
`PluginNameConversationPrefix(@NotNull Plugin plugin, @NotNull String separator, @NotNull ChatColor prefixColor)`

## Uses of ChatColor in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard that return ChatColor
Modifier and Type
Method
Description
`@NotNull ChatColor`
Team.`getColor()`
Deprecated.
in favour of `Team.color()`
Methods in org.bukkit.scoreboard with parameters of type ChatColor
Modifier and Type
Method
Description
`void`
Team.`setColor(@NotNull ChatColor color)`
Deprecated.
in favour of `Team.color(net.kyori.adventure.text.format.NamedTextColor)`